From 820f95b928e4c36604f6e249f0b437892cddafd6 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:14:24 +0000
Subject: [PATCH 512/1001] Set a g.oidc_id_token to None by default to cover 'bug' in flask-oidc


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index f9faa42..153374a 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -105,6 +105,7 @@ def auth_set(APP, auth):
 
     def handler(sender, **kwargs):
         g.auth = auth
+        g.oidc_id_token = None
         if not auth:
             g.auth = munch.Munch(logged_in=False)
 
diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index 7500199..254b40e 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -35,6 +35,8 @@ class HubsAPITest(hubs.tests.APPTest):
 
     def test_hub_logged_out(self):
         with app.test_request_context('/ralph'):
+            import flask
+            flask.g.oidc_id_token = None
             # need to manually call the @app.before_request
             # since unittest don't call it
             hubs.app.check_auth()

